<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: polydiagonal_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">polydiagonal_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacepolydiagonal__m_1_1polydiagonal.html">polydiagonal</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacepolydiagonal__m_1_1polydiagonal__periodic__serial.html">polydiagonal_periodic_serial</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacepolydiagonal__m_1_1polydiagonal__serial.html">polydiagonal_serial</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aed3552a9e0a7fd07bdfb5dca0733c7fd"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepolydiagonal__m.html#aed3552a9e0a7fd07bdfb5dca0733c7fd">polydiagonal_vs</a> (nd, A, R, n, lot, dir, b, sd)</td></tr>
<tr class="separator:aed3552a9e0a7fd07bdfb5dca0733c7fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb0c3f4e71956b2125fd8239e30b3261"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepolydiagonal__m.html#acb0c3f4e71956b2125fd8239e30b3261">polydiagonal_serial_vs</a> (nd, A, R, n, lot)</td></tr>
<tr class="separator:acb0c3f4e71956b2125fd8239e30b3261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a623de498ed9033db5f5eab10f4441ec8"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepolydiagonal__m.html#a623de498ed9033db5f5eab10f4441ec8">polydiagonal_periodic_serial_vs</a> (nd, A, R, n, lot, b)</td></tr>
<tr class="separator:a623de498ed9033db5f5eab10f4441ec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7df0ae302a86865a8c58f02c34450e55"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepolydiagonal__m.html#a7df0ae302a86865a8c58f02c34450e55">polydiagonal_serial_vv</a> (nd, A, R, n, lot)</td></tr>
<tr class="separator:a7df0ae302a86865a8c58f02c34450e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf7bcb06ff1b2461fc086ceabec0ecf1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepolydiagonal__m.html#aaf7bcb06ff1b2461fc086ceabec0ecf1">polydiagonal_periodic_serial_vv</a> (nd, A, R, n, lot, b)</td></tr>
<tr class="separator:aaf7bcb06ff1b2461fc086ceabec0ecf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6819a6ba412138553ed15363ba834e3f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepolydiagonal__m.html#a6819a6ba412138553ed15363ba834e3f">polydiagonal_vv</a> (nd, A, R, n, lot, dir, b, sd)</td></tr>
<tr class="separator:a6819a6ba412138553ed15363ba834e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a623de498ed9033db5f5eab10f4441ec8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a623de498ed9033db5f5eab10f4441ec8">&#9670;&nbsp;</a></span>polydiagonal_periodic_serial_vs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine polydiagonal_m::polydiagonal_periodic_serial_vs </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot,-nd:nd), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,nd), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_a623de498ed9033db5f5eab10f4441ec8_icgraph.png" border="0" usemap="#namespacepolydiagonal__m_a623de498ed9033db5f5eab10f4441ec8_icgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_a623de498ed9033db5f5eab10f4441ec8_icgraph" id="namespacepolydiagonal__m_a623de498ed9033db5f5eab10f4441ec8_icgraph">
<area shape="rect" id="node2" href="cfd__hybrid__solver__implicit_8f90.html#adbe22a1a0fead2674bf3eec2cab89492" title="line_solve_serial_xp" alt="" coords="283,5,421,32"/>
<area shape="rect" id="node6" href="cfd__hybrid__solver__implicit_8f90.html#a006d6c8b9bc9954a0f6993d54048dfba" title="line_solve_serial_yp" alt="" coords="283,56,421,83"/>
<area shape="rect" id="node7" href="namespacepolydiagonal__m.html#aed3552a9e0a7fd07bdfb5dca0733c7fd" title="polydiagonal_m::polydiagonal_vs" alt="" coords="245,107,459,133"/>
<area shape="rect" id="node3" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="507,31,623,57"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="671,23,847,65"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="895,16,1063,72"/>
</map>
</div>

</div>
</div>
<a id="aaf7bcb06ff1b2461fc086ceabec0ecf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf7bcb06ff1b2461fc086ceabec0ecf1">&#9670;&nbsp;</a></span>polydiagonal_periodic_serial_vv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine polydiagonal_m::polydiagonal_periodic_serial_vv </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n,-nd:nd), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n,nd), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_aaf7bcb06ff1b2461fc086ceabec0ecf1_icgraph.png" border="0" usemap="#namespacepolydiagonal__m_aaf7bcb06ff1b2461fc086ceabec0ecf1_icgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_aaf7bcb06ff1b2461fc086ceabec0ecf1_icgraph" id="namespacepolydiagonal__m_aaf7bcb06ff1b2461fc086ceabec0ecf1_icgraph">
<area shape="rect" id="node2" href="namespacepentadiagonal__m.html#a042e1e717706013cf3aebf3499dd8836" title="pentadiagonal_m::pentadiagonal_vs" alt="" coords="245,582,475,609"/>
<area shape="rect" id="node4" href="namespacepentadiagonal__m.html#aca5488d6777b7860c32483a1f3c33f8c" title="pentadiagonal_m::pentadiagonal_vv" alt="" coords="245,638,475,665"/>
<area shape="rect" id="node50" href="namespacepolydiagonal__m.html#a6819a6ba412138553ed15363ba834e3f" title="polydiagonal_m::polydiagonal_vv" alt="" coords="253,693,467,719"/>
<area shape="rect" id="node3" href="test__bmatrix_8f90.html#ac94bb0b2cfb42d98b67a370c5d59f990" title="solve_line_matrix_penta" alt="" coords="523,575,685,602"/>
<area shape="rect" id="node5" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968" title="implicit_func::implicit\l_solve_x" alt="" coords="532,627,676,668"/>
<area shape="rect" id="node48" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926" title="implicit_func::implicit\l_solve_y" alt="" coords="532,692,676,733"/>
<area shape="rect" id="node49" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3" title="implicit_func::implicit\l_solve_z" alt="" coords="532,757,676,799"/>
<area shape="rect" id="node6" href="namespacecfd__filter.html#a1a8963fd4b5367628f46d159893f234c" title="cfd_filter::cfd_apply\l_filter" alt="" coords="757,201,893,243"/>
<area shape="rect" id="node9" href="namespacecfd__solver__shared.html#a3bf36a0730435d301bbfdb5ef8ff997d" title="cfd_solver_shared::\lcfd_density_inverse" alt="" coords="755,267,894,308"/>
<area shape="rect" id="node12" href="namespacepressure__func.html#a12af6f0e7c982e4a3f52ae82d38aed41" title="pressure_func::pressure\l_precond_tridiag" alt="" coords="743,332,906,373"/>
<area shape="rect" id="node21" href="namespacescalar__bquick__func.html#ad97444fd282229624864cff034e4bcdd" title="scalar_bquick_func\l::scalar_bquick_inverse" alt="" coords="745,855,904,896"/>
<area shape="rect" id="node27" href="namespacescalar__bquick__uni__func.html#afc7856df4153c0e5b9746f0ec50a1714" title="scalar_bquick_uni_func\l::scalar_bquick_uni_inverse" alt="" coords="733,920,916,961"/>
<area shape="rect" id="node28" href="namespacescalar__cd2__func.html#ad286d1d42fb689a7f642559d2aaf89fa" title="scalar_cd2_func::scalar\l_cd2_inverse" alt="" coords="745,463,905,504"/>
<area shape="rect" id="node29" href="namespacescalar__cd2__func.html#af7852722c270466a0463f49d0d94d76d" title="scalar_cd2_func::scalar\l_cd2_da_inverse" alt="" coords="745,1197,905,1239"/>
<area shape="rect" id="node30" href="namespacescalar__cicsam__func.html#a269cf1649ad7c385505df01a7113c9df" title="scalar_cicsam_func\l::scalar_cicsam_inverse" alt="" coords="743,1263,906,1304"/>
<area shape="rect" id="node31" href="namespacescalar__houc__func.html#a8b38fbc298618357030e23818955f1ae" title="scalar_houc_func::scalar\l_houc_inverse" alt="" coords="741,528,908,569"/>
<area shape="rect" id="node32" href="namespacescalar__quick__func.html#a7bdf11b530aa2dbbadd8d4ab96079bdf" title="scalar_quick_func::\lscalar_quick_inverse" alt="" coords="753,593,897,635"/>
<area shape="rect" id="node33" href="namespacescalar__tvd__func.html#aba02e3a1f0a860d5c7a350bc1ff4cf52" title="scalar_tvd_func::scalar\l_tvd_koren_inverse" alt="" coords="746,659,903,700"/>
<area shape="rect" id="node34" href="namespacescalar__weno3__conjug__approx__func.html#abfe56fa31b920fc7c1b065f2bddc3af8" title="scalar_weno3_conjug\l_approx_func::scalar\l_weno3_conjug_approx\l_inverse" alt="" coords="745,1328,904,1399"/>
<area shape="rect" id="node35" href="namespacescalar__weno3__func.html#ab470a5efef6f611c71e135be87c985c5" title="scalar_weno3_func::\lscalar_weno3_inverse" alt="" coords="749,724,900,765"/>
<area shape="rect" id="node36" href="namespacescalar__weno5__func.html#a4f39756a1a98cce1e7dce33568e6228f" title="scalar_weno5_func::\lscalar_weno5_inverse" alt="" coords="749,789,900,831"/>
<area shape="rect" id="node37" href="namespacevdf__disp__ph__solver__m.html#ac9a73013e6a8a7176d3a03046de5a014" title="vdf_disp_ph_solver\l_m::velocity_inverse\l_u_colloc" alt="" coords="753,986,896,1042"/>
<area shape="rect" id="node39" href="namespacevdf__disp__ph__solver__m.html#a8ada420643ca65cfff1557852d6dbf6b" title="vdf_disp_ph_solver\l_m::scalar_inverse" alt="" coords="757,397,892,439"/>
<area shape="rect" id="node40" href="namespacevelocity__divadv.html#abd9808c6fb21016115d6c413c51114cb" title="velocity_divadv::velocity\l_da_inverse_u" alt="" coords="742,5,907,47"/>
<area shape="rect" id="node41" href="namespacevelocity__divadv.html#ab517812230fa955f494acd85b578e7c5" title="velocity_divadv::velocity\l_da_inverse_v" alt="" coords="742,71,907,112"/>
<area shape="rect" id="node42" href="namespacevelocity__divadv.html#a187eb812e7e4968ade195f1a8570d60e" title="velocity_divadv::velocity\l_da_inverse_w" alt="" coords="742,136,907,177"/>
<area shape="rect" id="node43" href="namespacevelocity__implicit__func.html#ad0edca196b8ceb1716246b721d80287b" title="velocity_implicit_func\l::velocity_inverse_u" alt="" coords="751,1067,898,1108"/>
<area shape="rect" id="node46" href="namespacevelocity__implicit__func.html#a67c862a15e3f31982d9d830b5b909569" title="velocity_implicit_func\l::velocity_inverse_v" alt="" coords="751,1132,898,1173"/>
<area shape="rect" id="node47" href="namespacevelocity__implicit__func.html#a3cbfa18df600a8a2784b82d8129d37a7" title="velocity_implicit_func\l::velocity_inverse_w" alt="" coords="751,1423,898,1464"/>
<area shape="rect" id="node7" href="namespacecfd__filter.html#a6496b57262fe2a17dbc1846af7984a90" title="cfd_filter::cfd_filter_vars" alt="" coords="971,118,1134,145"/>
<area shape="rect" id="node8" href="namespacecfd__func.html#a5f6b1e1887efd596adf995a360f98dc5" title="cfd_func::cfd_poststep1" alt="" coords="1189,85,1352,111"/>
<area shape="rect" id="node10" href="namespacecfd__bd2__solver.html#a83f39daa7186c31712649453de1365d9" title="cfd_bd2_solver::cfd\l_bd2_density_step" alt="" coords="985,201,1121,243"/>
<area shape="rect" id="node11" href="namespacecfd__cn__solver.html#a18f00b8cd645628a55f1db3e18371a61" title="cfd_cn_solver::cfd\l_cn_density_step" alt="" coords="988,267,1117,308"/>
<area shape="rect" id="node13" href="namespacebicgstab__func.html#a296b3d2defdb5bd5a8758246ce856764" title="bicgstab_func::bicgstab\l_apply_precond" alt="" coords="973,332,1133,373"/>
<area shape="rect" id="node14" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="1191,267,1351,308"/>
<area shape="rect" id="node15" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="1191,332,1351,373"/>
<area shape="rect" id="node16" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="1191,397,1351,439"/>
<area shape="rect" id="node17" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="1191,463,1351,504"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="1191,528,1351,569"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="1191,136,1351,177"/>
<area shape="rect" id="node20" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="1191,201,1351,243"/>
<area shape="rect" id="node22" href="vdf__disp__ph__solver__m_8f90.html#a9f47047e33918a826172df4611626c84" title="do_cn_step1" alt="" coords="1005,601,1101,627"/>
<area shape="rect" id="node24" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="998,666,1107,693"/>
<area shape="rect" id="node26" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="974,725,1131,751"/>
<area shape="rect" id="node23" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="1191,593,1351,635"/>
<area shape="rect" id="node25" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="1195,659,1346,700"/>
<area shape="rect" id="node38" href="vdf__disp__ph__solver__m_8f90.html#ae17c4ab2e6edcf679e293f64d982be77" title="do_cn" alt="" coords="1024,1001,1081,1027"/>
<area shape="rect" id="node44" href="namespacecfd__cn__solver.html#a1bb54f33593675421c0cc99371d490c1" title="cfd_cn_solver::cfd\l_cn_velocity_step" alt="" coords="988,1103,1117,1144"/>
<area shape="rect" id="node45" href="namespacevdf__velocity.html#a96fa490f8e299baa61fd416d1b383f68" title="vdf_velocity::velocity_step" alt="" coords="964,1169,1141,1195"/>
</map>
</div>

</div>
</div>
<a id="acb0c3f4e71956b2125fd8239e30b3261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb0c3f4e71956b2125fd8239e30b3261">&#9670;&nbsp;</a></span>polydiagonal_serial_vs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine polydiagonal_m::polydiagonal_serial_vs </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot,-nd:nd), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_acb0c3f4e71956b2125fd8239e30b3261_icgraph.png" border="0" usemap="#namespacepolydiagonal__m_acb0c3f4e71956b2125fd8239e30b3261_icgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_acb0c3f4e71956b2125fd8239e30b3261_icgraph" id="namespacepolydiagonal__m_acb0c3f4e71956b2125fd8239e30b3261_icgraph">
<area shape="rect" id="node2" href="cfd__hybrid__solver__implicit_8f90.html#a0d36c58217ee7d41b7c96f55d3600033" title="line_solve_serial_x" alt="" coords="286,5,418,32"/>
<area shape="rect" id="node4" href="cfd__hybrid__solver__implicit_8f90.html#a1b3b7a4508d0f073481912c89253e50f" title="line_solve_serial_y" alt="" coords="286,56,418,83"/>
<area shape="rect" id="node5" href="namespacepolydiagonal__m.html#aed3552a9e0a7fd07bdfb5dca0733c7fd" title="polydiagonal_m::polydiagonal_vs" alt="" coords="245,107,459,133"/>
<area shape="rect" id="node3" href="cfd__hybrid__solver__implicit_8f90.html#aaf9c8eba033703e357e5a1ed39e0dab2" title="solver_gs_serial_orig" alt="" coords="507,31,651,57"/>
</map>
</div>

</div>
</div>
<a id="a7df0ae302a86865a8c58f02c34450e55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7df0ae302a86865a8c58f02c34450e55">&#9670;&nbsp;</a></span>polydiagonal_serial_vv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine polydiagonal_m::polydiagonal_serial_vv </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n,-nd:nd), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_a7df0ae302a86865a8c58f02c34450e55_icgraph.png" border="0" usemap="#namespacepolydiagonal__m_a7df0ae302a86865a8c58f02c34450e55_icgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_a7df0ae302a86865a8c58f02c34450e55_icgraph" id="namespacepolydiagonal__m_a7df0ae302a86865a8c58f02c34450e55_icgraph">
<area shape="rect" id="node2" href="namespacepentadiagonal__m.html#a042e1e717706013cf3aebf3499dd8836" title="pentadiagonal_m::pentadiagonal_vs" alt="" coords="245,582,475,609"/>
<area shape="rect" id="node4" href="namespacepentadiagonal__m.html#aca5488d6777b7860c32483a1f3c33f8c" title="pentadiagonal_m::pentadiagonal_vv" alt="" coords="245,638,475,665"/>
<area shape="rect" id="node50" href="namespacepolydiagonal__m.html#a6819a6ba412138553ed15363ba834e3f" title="polydiagonal_m::polydiagonal_vv" alt="" coords="253,693,467,719"/>
<area shape="rect" id="node3" href="test__bmatrix_8f90.html#ac94bb0b2cfb42d98b67a370c5d59f990" title="solve_line_matrix_penta" alt="" coords="523,575,685,602"/>
<area shape="rect" id="node5" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968" title="implicit_func::implicit\l_solve_x" alt="" coords="532,627,676,668"/>
<area shape="rect" id="node48" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926" title="implicit_func::implicit\l_solve_y" alt="" coords="532,692,676,733"/>
<area shape="rect" id="node49" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3" title="implicit_func::implicit\l_solve_z" alt="" coords="532,757,676,799"/>
<area shape="rect" id="node6" href="namespacecfd__filter.html#a1a8963fd4b5367628f46d159893f234c" title="cfd_filter::cfd_apply\l_filter" alt="" coords="757,201,893,243"/>
<area shape="rect" id="node9" href="namespacecfd__solver__shared.html#a3bf36a0730435d301bbfdb5ef8ff997d" title="cfd_solver_shared::\lcfd_density_inverse" alt="" coords="755,267,894,308"/>
<area shape="rect" id="node12" href="namespacepressure__func.html#a12af6f0e7c982e4a3f52ae82d38aed41" title="pressure_func::pressure\l_precond_tridiag" alt="" coords="743,332,906,373"/>
<area shape="rect" id="node21" href="namespacescalar__bquick__func.html#ad97444fd282229624864cff034e4bcdd" title="scalar_bquick_func\l::scalar_bquick_inverse" alt="" coords="745,855,904,896"/>
<area shape="rect" id="node27" href="namespacescalar__bquick__uni__func.html#afc7856df4153c0e5b9746f0ec50a1714" title="scalar_bquick_uni_func\l::scalar_bquick_uni_inverse" alt="" coords="733,920,916,961"/>
<area shape="rect" id="node28" href="namespacescalar__cd2__func.html#ad286d1d42fb689a7f642559d2aaf89fa" title="scalar_cd2_func::scalar\l_cd2_inverse" alt="" coords="745,463,905,504"/>
<area shape="rect" id="node29" href="namespacescalar__cd2__func.html#af7852722c270466a0463f49d0d94d76d" title="scalar_cd2_func::scalar\l_cd2_da_inverse" alt="" coords="745,1197,905,1239"/>
<area shape="rect" id="node30" href="namespacescalar__cicsam__func.html#a269cf1649ad7c385505df01a7113c9df" title="scalar_cicsam_func\l::scalar_cicsam_inverse" alt="" coords="743,1263,906,1304"/>
<area shape="rect" id="node31" href="namespacescalar__houc__func.html#a8b38fbc298618357030e23818955f1ae" title="scalar_houc_func::scalar\l_houc_inverse" alt="" coords="741,528,908,569"/>
<area shape="rect" id="node32" href="namespacescalar__quick__func.html#a7bdf11b530aa2dbbadd8d4ab96079bdf" title="scalar_quick_func::\lscalar_quick_inverse" alt="" coords="753,593,897,635"/>
<area shape="rect" id="node33" href="namespacescalar__tvd__func.html#aba02e3a1f0a860d5c7a350bc1ff4cf52" title="scalar_tvd_func::scalar\l_tvd_koren_inverse" alt="" coords="746,659,903,700"/>
<area shape="rect" id="node34" href="namespacescalar__weno3__conjug__approx__func.html#abfe56fa31b920fc7c1b065f2bddc3af8" title="scalar_weno3_conjug\l_approx_func::scalar\l_weno3_conjug_approx\l_inverse" alt="" coords="745,1328,904,1399"/>
<area shape="rect" id="node35" href="namespacescalar__weno3__func.html#ab470a5efef6f611c71e135be87c985c5" title="scalar_weno3_func::\lscalar_weno3_inverse" alt="" coords="749,724,900,765"/>
<area shape="rect" id="node36" href="namespacescalar__weno5__func.html#a4f39756a1a98cce1e7dce33568e6228f" title="scalar_weno5_func::\lscalar_weno5_inverse" alt="" coords="749,789,900,831"/>
<area shape="rect" id="node37" href="namespacevdf__disp__ph__solver__m.html#ac9a73013e6a8a7176d3a03046de5a014" title="vdf_disp_ph_solver\l_m::velocity_inverse\l_u_colloc" alt="" coords="753,986,896,1042"/>
<area shape="rect" id="node39" href="namespacevdf__disp__ph__solver__m.html#a8ada420643ca65cfff1557852d6dbf6b" title="vdf_disp_ph_solver\l_m::scalar_inverse" alt="" coords="757,397,892,439"/>
<area shape="rect" id="node40" href="namespacevelocity__divadv.html#abd9808c6fb21016115d6c413c51114cb" title="velocity_divadv::velocity\l_da_inverse_u" alt="" coords="742,5,907,47"/>
<area shape="rect" id="node41" href="namespacevelocity__divadv.html#ab517812230fa955f494acd85b578e7c5" title="velocity_divadv::velocity\l_da_inverse_v" alt="" coords="742,71,907,112"/>
<area shape="rect" id="node42" href="namespacevelocity__divadv.html#a187eb812e7e4968ade195f1a8570d60e" title="velocity_divadv::velocity\l_da_inverse_w" alt="" coords="742,136,907,177"/>
<area shape="rect" id="node43" href="namespacevelocity__implicit__func.html#ad0edca196b8ceb1716246b721d80287b" title="velocity_implicit_func\l::velocity_inverse_u" alt="" coords="751,1067,898,1108"/>
<area shape="rect" id="node46" href="namespacevelocity__implicit__func.html#a67c862a15e3f31982d9d830b5b909569" title="velocity_implicit_func\l::velocity_inverse_v" alt="" coords="751,1132,898,1173"/>
<area shape="rect" id="node47" href="namespacevelocity__implicit__func.html#a3cbfa18df600a8a2784b82d8129d37a7" title="velocity_implicit_func\l::velocity_inverse_w" alt="" coords="751,1423,898,1464"/>
<area shape="rect" id="node7" href="namespacecfd__filter.html#a6496b57262fe2a17dbc1846af7984a90" title="cfd_filter::cfd_filter_vars" alt="" coords="971,118,1134,145"/>
<area shape="rect" id="node8" href="namespacecfd__func.html#a5f6b1e1887efd596adf995a360f98dc5" title="cfd_func::cfd_poststep1" alt="" coords="1189,85,1352,111"/>
<area shape="rect" id="node10" href="namespacecfd__bd2__solver.html#a83f39daa7186c31712649453de1365d9" title="cfd_bd2_solver::cfd\l_bd2_density_step" alt="" coords="985,201,1121,243"/>
<area shape="rect" id="node11" href="namespacecfd__cn__solver.html#a18f00b8cd645628a55f1db3e18371a61" title="cfd_cn_solver::cfd\l_cn_density_step" alt="" coords="988,267,1117,308"/>
<area shape="rect" id="node13" href="namespacebicgstab__func.html#a296b3d2defdb5bd5a8758246ce856764" title="bicgstab_func::bicgstab\l_apply_precond" alt="" coords="973,332,1133,373"/>
<area shape="rect" id="node14" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="1191,267,1351,308"/>
<area shape="rect" id="node15" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="1191,332,1351,373"/>
<area shape="rect" id="node16" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="1191,397,1351,439"/>
<area shape="rect" id="node17" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="1191,463,1351,504"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="1191,528,1351,569"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="1191,136,1351,177"/>
<area shape="rect" id="node20" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="1191,201,1351,243"/>
<area shape="rect" id="node22" href="vdf__disp__ph__solver__m_8f90.html#a9f47047e33918a826172df4611626c84" title="do_cn_step1" alt="" coords="1005,601,1101,627"/>
<area shape="rect" id="node24" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="998,666,1107,693"/>
<area shape="rect" id="node26" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="974,725,1131,751"/>
<area shape="rect" id="node23" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="1191,593,1351,635"/>
<area shape="rect" id="node25" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="1195,659,1346,700"/>
<area shape="rect" id="node38" href="vdf__disp__ph__solver__m_8f90.html#ae17c4ab2e6edcf679e293f64d982be77" title="do_cn" alt="" coords="1024,1001,1081,1027"/>
<area shape="rect" id="node44" href="namespacecfd__cn__solver.html#a1bb54f33593675421c0cc99371d490c1" title="cfd_cn_solver::cfd\l_cn_velocity_step" alt="" coords="988,1103,1117,1144"/>
<area shape="rect" id="node45" href="namespacevdf__velocity.html#a96fa490f8e299baa61fd416d1b383f68" title="vdf_velocity::velocity_step" alt="" coords="964,1169,1141,1195"/>
</map>
</div>

</div>
</div>
<a id="aed3552a9e0a7fd07bdfb5dca0733c7fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed3552a9e0a7fd07bdfb5dca0733c7fd">&#9670;&nbsp;</a></span>polydiagonal_vs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine polydiagonal_m::polydiagonal_vs </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot,-nd:nd), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n,lot,nd), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepolydiagonal__m.html#a623de498ed9033db5f5eab10f4441ec8">polydiagonal_periodic_serial_vs()</a>, and <a class="el" href="namespacepolydiagonal__m.html#acb0c3f4e71956b2125fd8239e30b3261">polydiagonal_serial_vs()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_aed3552a9e0a7fd07bdfb5dca0733c7fd_cgraph.png" border="0" usemap="#namespacepolydiagonal__m_aed3552a9e0a7fd07bdfb5dca0733c7fd_cgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_aed3552a9e0a7fd07bdfb5dca0733c7fd_cgraph" id="namespacepolydiagonal__m_aed3552a9e0a7fd07bdfb5dca0733c7fd_cgraph">
<area shape="rect" id="node2" href="namespacepolydiagonal__m.html#a623de498ed9033db5f5eab10f4441ec8" title="polydiagonal_m::polydiagonal\l_periodic_serial_vs" alt="" coords="267,5,459,47"/>
<area shape="rect" id="node3" href="namespacepolydiagonal__m.html#acb0c3f4e71956b2125fd8239e30b3261" title="polydiagonal_m::polydiagonal\l_serial_vs" alt="" coords="267,71,459,112"/>
</map>
</div>

</div>
</div>
<a id="a6819a6ba412138553ed15363ba834e3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6819a6ba412138553ed15363ba834e3f">&#9670;&nbsp;</a></span>polydiagonal_vv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine polydiagonal_m::polydiagonal_vv </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n,-nd:nd), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lot,n,nd), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepolydiagonal__m.html#aaf7bcb06ff1b2461fc086ceabec0ecf1">polydiagonal_periodic_serial_vv()</a>, and <a class="el" href="namespacepolydiagonal__m.html#a7df0ae302a86865a8c58f02c34450e55">polydiagonal_serial_vv()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_cgraph.png" border="0" usemap="#namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_cgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_cgraph" id="namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_cgraph">
<area shape="rect" id="node2" href="namespacepolydiagonal__m.html#aaf7bcb06ff1b2461fc086ceabec0ecf1" title="polydiagonal_m::polydiagonal\l_periodic_serial_vv" alt="" coords="267,5,459,47"/>
<area shape="rect" id="node3" href="namespacepolydiagonal__m.html#a7df0ae302a86865a8c58f02c34450e55" title="polydiagonal_m::polydiagonal\l_serial_vv" alt="" coords="267,71,459,112"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_icgraph.png" border="0" usemap="#namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_icgraph" alt=""/></div>
<map name="namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_icgraph" id="namespacepolydiagonal__m_a6819a6ba412138553ed15363ba834e3f_icgraph">
<area shape="rect" id="node2" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968" title="implicit_func::implicit\l_solve_x" alt="" coords="267,627,411,668"/>
<area shape="rect" id="node49" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926" title="implicit_func::implicit\l_solve_y" alt="" coords="267,692,411,733"/>
<area shape="rect" id="node50" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3" title="implicit_func::implicit\l_solve_z" alt="" coords="267,757,411,799"/>
<area shape="rect" id="node3" href="namespacecfd__filter.html#a1a8963fd4b5367628f46d159893f234c" title="cfd_filter::cfd_apply\l_filter" alt="" coords="482,201,618,243"/>
<area shape="rect" id="node8" href="namespacecfd__solver__shared.html#a3bf36a0730435d301bbfdb5ef8ff997d" title="cfd_solver_shared::\lcfd_density_inverse" alt="" coords="481,267,619,308"/>
<area shape="rect" id="node11" href="namespacepressure__func.html#a12af6f0e7c982e4a3f52ae82d38aed41" title="pressure_func::pressure\l_precond_tridiag" alt="" coords="469,332,631,373"/>
<area shape="rect" id="node20" href="namespacescalar__bquick__func.html#ad97444fd282229624864cff034e4bcdd" title="scalar_bquick_func\l::scalar_bquick_inverse" alt="" coords="471,855,629,896"/>
<area shape="rect" id="node26" href="namespacescalar__bquick__uni__func.html#afc7856df4153c0e5b9746f0ec50a1714" title="scalar_bquick_uni_func\l::scalar_bquick_uni_inverse" alt="" coords="459,920,641,961"/>
<area shape="rect" id="node27" href="namespacescalar__cd2__func.html#ad286d1d42fb689a7f642559d2aaf89fa" title="scalar_cd2_func::scalar\l_cd2_inverse" alt="" coords="470,463,630,504"/>
<area shape="rect" id="node28" href="namespacescalar__cd2__func.html#af7852722c270466a0463f49d0d94d76d" title="scalar_cd2_func::scalar\l_cd2_da_inverse" alt="" coords="470,1197,630,1239"/>
<area shape="rect" id="node29" href="namespacescalar__cicsam__func.html#a269cf1649ad7c385505df01a7113c9df" title="scalar_cicsam_func\l::scalar_cicsam_inverse" alt="" coords="469,1263,631,1304"/>
<area shape="rect" id="node30" href="namespacescalar__houc__func.html#a8b38fbc298618357030e23818955f1ae" title="scalar_houc_func::scalar\l_houc_inverse" alt="" coords="467,528,633,569"/>
<area shape="rect" id="node31" href="namespacescalar__quick__func.html#a7bdf11b530aa2dbbadd8d4ab96079bdf" title="scalar_quick_func::\lscalar_quick_inverse" alt="" coords="478,593,622,635"/>
<area shape="rect" id="node32" href="namespacescalar__tvd__func.html#aba02e3a1f0a860d5c7a350bc1ff4cf52" title="scalar_tvd_func::scalar\l_tvd_koren_inverse" alt="" coords="471,659,629,700"/>
<area shape="rect" id="node33" href="namespacescalar__weno3__conjug__approx__func.html#abfe56fa31b920fc7c1b065f2bddc3af8" title="scalar_weno3_conjug\l_approx_func::scalar\l_weno3_conjug_approx\l_inverse" alt="" coords="471,1328,629,1399"/>
<area shape="rect" id="node34" href="namespacescalar__weno3__func.html#ab470a5efef6f611c71e135be87c985c5" title="scalar_weno3_func::\lscalar_weno3_inverse" alt="" coords="475,724,625,765"/>
<area shape="rect" id="node35" href="namespacescalar__weno5__func.html#a4f39756a1a98cce1e7dce33568e6228f" title="scalar_weno5_func::\lscalar_weno5_inverse" alt="" coords="475,789,625,831"/>
<area shape="rect" id="node36" href="namespacevdf__disp__ph__solver__m.html#ac9a73013e6a8a7176d3a03046de5a014" title="vdf_disp_ph_solver\l_m::velocity_inverse\l_u_colloc" alt="" coords="479,986,621,1042"/>
<area shape="rect" id="node39" href="namespacevdf__disp__ph__solver__m.html#a8ada420643ca65cfff1557852d6dbf6b" title="vdf_disp_ph_solver\l_m::scalar_inverse" alt="" coords="483,397,617,439"/>
<area shape="rect" id="node40" href="namespacevelocity__divadv.html#abd9808c6fb21016115d6c413c51114cb" title="velocity_divadv::velocity\l_da_inverse_u" alt="" coords="467,5,633,47"/>
<area shape="rect" id="node41" href="namespacevelocity__divadv.html#ab517812230fa955f494acd85b578e7c5" title="velocity_divadv::velocity\l_da_inverse_v" alt="" coords="467,71,633,112"/>
<area shape="rect" id="node42" href="namespacevelocity__divadv.html#a187eb812e7e4968ade195f1a8570d60e" title="velocity_divadv::velocity\l_da_inverse_w" alt="" coords="467,136,633,177"/>
<area shape="rect" id="node43" href="namespacevelocity__implicit__func.html#ad0edca196b8ceb1716246b721d80287b" title="velocity_implicit_func\l::velocity_inverse_u" alt="" coords="477,1067,623,1108"/>
<area shape="rect" id="node47" href="namespacevelocity__implicit__func.html#a67c862a15e3f31982d9d830b5b909569" title="velocity_implicit_func\l::velocity_inverse_v" alt="" coords="477,1132,623,1173"/>
<area shape="rect" id="node48" href="namespacevelocity__implicit__func.html#a3cbfa18df600a8a2784b82d8129d37a7" title="velocity_implicit_func\l::velocity_inverse_w" alt="" coords="477,1423,623,1464"/>
<area shape="rect" id="node4" href="namespacecfd__filter.html#a6496b57262fe2a17dbc1846af7984a90" title="cfd_filter::cfd_filter_vars" alt="" coords="697,118,859,145"/>
<area shape="rect" id="node5" href="namespacecfd__func.html#a5f6b1e1887efd596adf995a360f98dc5" title="cfd_func::cfd_poststep1" alt="" coords="917,85,1079,111"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="1137,45,1265,87"/>
<area shape="rect" id="node7" href="namespacenga__cf__cold__func.html#ade35a0ce7fb88c88a71e2f0e786e872d" title="nga_cf_cold_func::cf\l_cold_poststep" alt="" coords="1129,111,1272,152"/>
<area shape="rect" id="node9" href="namespacecfd__bd2__solver.html#a83f39daa7186c31712649453de1365d9" title="cfd_bd2_solver::cfd\l_bd2_density_step" alt="" coords="710,201,846,243"/>
<area shape="rect" id="node10" href="namespacecfd__cn__solver.html#a18f00b8cd645628a55f1db3e18371a61" title="cfd_cn_solver::cfd\l_cn_density_step" alt="" coords="713,267,843,308"/>
<area shape="rect" id="node12" href="namespacebicgstab__func.html#a296b3d2defdb5bd5a8758246ce856764" title="bicgstab_func::bicgstab\l_apply_precond" alt="" coords="698,332,858,373"/>
<area shape="rect" id="node13" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="918,201,1078,243"/>
<area shape="rect" id="node14" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="918,267,1078,308"/>
<area shape="rect" id="node15" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="918,332,1078,373"/>
<area shape="rect" id="node16" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="918,397,1078,439"/>
<area shape="rect" id="node17" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="918,463,1078,504"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="918,528,1078,569"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="918,136,1078,177"/>
<area shape="rect" id="node21" href="vdf__disp__ph__solver__m_8f90.html#a9f47047e33918a826172df4611626c84" title="do_cn_step1" alt="" coords="730,601,826,627"/>
<area shape="rect" id="node23" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="723,666,833,693"/>
<area shape="rect" id="node25" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="699,725,857,751"/>
<area shape="rect" id="node22" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="918,593,1078,635"/>
<area shape="rect" id="node24" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="923,659,1073,700"/>
<area shape="rect" id="node37" href="vdf__disp__ph__solver__m_8f90.html#ae17c4ab2e6edcf679e293f64d982be77" title="do_cn" alt="" coords="749,1001,807,1027"/>
<area shape="rect" id="node38" href="namespacevdf__disp__ph__solver__m.html#a0e263f5c4eceb8b0be37057f4991e295" title="vdf_disp_ph_solver\l_m::velocity_step_colloc" alt="" coords="915,993,1081,1035"/>
<area shape="rect" id="node44" href="namespacecfd__cn__solver.html#a1bb54f33593675421c0cc99371d490c1" title="cfd_cn_solver::cfd\l_cn_velocity_step" alt="" coords="713,1103,843,1144"/>
<area shape="rect" id="node46" href="namespacevdf__velocity.html#a96fa490f8e299baa61fd416d1b383f68" title="vdf_velocity::velocity_step" alt="" coords="689,1169,867,1195"/>
<area shape="rect" id="node45" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="919,1103,1077,1144"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
